VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
IViewFactory Member List

This is the complete list of members for IViewFactory, including all inherited members.

applyAttributeValues(CView *view, const UIAttributes &attributes, const IUIDescription *desc) const =0 | IViewFactory | pure virtual
applyCustomViewAttributeValues(CView *customView, IdStringPtr baseViewName, const UIAttributes &attributes, const IUIDescription *desc) const =0 | IViewFactory | pure virtual
createView(const UIAttributes &attributes, const IUIDescription *description) const =0 | IViewFactory | pure virtual
~IViewFactory() noexcept=default | IViewFactory | virtual